BARDECODE(1)

NAME
bardecode - barcode recognition tool of the ExactImage toolkit

SYNOPSIS

bardecode [option...] file...

bardecode {-h | --help}

DESCRIPTION

ExactImage is a fast C++ image processing library. Unlike many other library frameworks it allows operation in several color spaces and bit depths natively, resulting in low memory and computational requirements.

bardecode is a barcode recognition tool.

OPTIONS

-t n, --threshold n
    Set bi-level threshold value to n. The default is 150.

-c n, --concurrent-lines n
    Set number of lines that are scanned concurrently. The default is 4.

-s n, --line-skip n
    Set number of lines that are skipped. The default is 8.

-d n, --directions n
    Set bitfield of directions to be scanned:

    0
        none

    1
        left-to-right

    2
        top-down

    4
        right-to-left

    8
        down-top

    15
        any

    The default is 15 (any).

-h, --help
    Display help text and exit.

EXAMPLES

    $ bardecode files/*
    files/1.tif: XDM152EU-U [type: code39 at: (1094,392)]
    files/2.tif: 471186080198 [type: ean13 at: (1148,32)]
    files/3.tif: 06396500104997 [type: code128 at: (578,83)]

SEE ALSO

exactimage(7)

AUTHORS

Jakub Wilk <jwilk@debian.org>
    Wrote this manual page for the Debian system.

https://exactcode.com/opensource/exactimage/
    This manual page incorporates texts found on the ExactImage homepage.

COPYRIGHT

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-2.